[Bioperl-l] min. perl ver. for next release, was Bioperl tests

Hilmar Lapp hlapp at gmx.net
Tue Sep 5 00:00:33 EDT 2006


On Sep 3, 2006, at 10:31 AM, Chris Fields wrote:

> perl v. 5.8 has been out since late 2002, so I think it's feasible.

Just a note - it really doesn't matter at all how long these versions  
have been available. What you need to know from people is how many  
are still on versions prior to the one you want to make a requirement.

For those who are it is unlikely that they are because they enjoy  
running an ages old version of perl. More likely, the sysadmin is  
unwilling or cannot upgrade perl, e.g. due to side effects. Bioperl  
requiring a higher version will not change this.

By requiring a higher version you are dropping support for these  
people, or asking them to please install their own local version of  
perl.

	-hilmar
-- 
===========================================================
: Hilmar Lapp  -:-  Durham, NC  -:-  hlapp at gmx dot net :
===========================================================







More information about the Bioperl-l mailing list